<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="18122" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="18093"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="InitialViewController" customModule="TwitterKata" customModuleProvider="target">
            <connections>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" distribution="fillEqually" translatesAutoresizingMaskIntoConstraints="NO" id="ZkM-dY-b9l">
                    <rect key="frame" x="0.0" y="289.5" width="414" height="327"/>
                    <subviews>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" usesAttributedText="YES" lineBreakMode="tailTruncation" numberOfLines="2" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="agr-U9-3ag">
                            <rect key="frame" x="0.0" y="0.0" width="414" height="81.5"/>
                            <attributedString key="attributedText">
                                <fragment content="Twitter Kata!">
                                    <attributes>
                                        <color key="NSColor" red="0.2630626822757437" green="0.25983754696333528" blue="0.33056766470682986" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                        <font key="NSFont" size="36" name="MarkerFelt-Thin"/>
                                        <paragraphStyle key="NSParagraphStyle" alignment="center" lineBreakMode="wordWrapping" baseWritingDirection="natural" tighteningFactorForTruncation="0.0"/>
                                    </attributes>
                                </fragment>
                            </attributedString>
                            <nil key="highlightedColor"/>
                        </label>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="8AR-Wc-Kud">
                            <rect key="frame" x="0.0" y="81.5" width="414" height="82"/>
                            <state key="normal" title="Register User"/>
                            <connections>
                                <action selector="registerUserTouched:" destination="-1" eventType="touchUpInside" id="Iyf-1E-z4M"/>
                            </connections>
                        </button>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="MhH-gk-DxJ">
                            <rect key="frame" x="0.0" y="163.5" width="414" height="82"/>
                            <state key="normal" title="View User"/>
                            <connections>
                                <action selector="viewUser:" destination="-1" eventType="touchUpInside" id="mwk-uh-No8"/>
                            </connections>
                        </button>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="CKU-h6-IYv">
                            <rect key="frame" x="0.0" y="245.5" width="414" height="81.5"/>
                            <state key="normal" title="Tweet Message"/>
                            <connections>
                                <action selector="tweetMessage:" destination="-1" eventType="touchUpInside" id="fSM-uv-xJ8"/>
                            </connections>
                        </button>
                    </subviews>
                    <constraints>
                        <constraint firstItem="CKU-h6-IYv" firstAttribute="width" secondItem="MhH-gk-DxJ" secondAttribute="width" id="Bfh-VC-6sJ"/>
                        <constraint firstItem="MhH-gk-DxJ" firstAttribute="width" secondItem="8AR-Wc-Kud" secondAttribute="width" id="LJU-NW-BLY"/>
                    </constraints>
                </stackView>
            </subviews>
            <viewLayoutGuide key="safeArea" id="fnl-2z-Ty3"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="ZkM-dY-b9l" firstAttribute="height" secondItem="fnl-2z-Ty3" secondAttribute="height" multiplier="0.4" id="Cit-J4-VBU"/>
                <constraint firstItem="ZkM-dY-b9l" firstAttribute="centerX" secondItem="fnl-2z-Ty3" secondAttribute="centerX" id="Y29-zr-B9C"/>
                <constraint firstItem="ZkM-dY-b9l" firstAttribute="width" secondItem="i5M-Pr-FkT" secondAttribute="width" id="q4K-Iu-zJH"/>
                <constraint firstItem="ZkM-dY-b9l" firstAttribute="centerY" secondItem="fnl-2z-Ty3" secondAttribute="centerY" id="zic-eS-rHN"/>
            </constraints>
            <point key="canvasLocation" x="131.8840579710145" y="130.58035714285714"/>
        </view>
    </objects>
    <resources>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
